Reactor Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 35
Number of dependencies (NOD): 80
Number of unique artifacts (NOA): 97
Number of version-conflicting artifacts (NOC): 12
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 82 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in modules

com.jcraft:jsch

[Error]
0.1.23
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:1.2:test
       \- org.apache.maven:maven-core:jar:2.0:test
          \- org.apache.maven.wagon:wagon-ssh:jar:1.0-alpha-5:test
             \- (com.jcraft:jsch:jar:0.1.23:test - omitted for conflict with 0.1.50)

0.1.50
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.scm:maven-scm-providers-standard:pom:1.9.5-SNAPSHOT:compile
       \- org.apache.maven.scm:maven-scm-provider-jgit:jar:1.9.5-SNAPSHOT:runtime
          \- org.eclipse.jgit:org.eclipse.jgit:jar:3.7.1.201504261725-r:runtime
             \- com.jcraft:jsch:jar:0.1.50:runtime

org.apache.maven.wagon:wagon-provider-api

[Error]
1.0-alpha-5
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:1.2:test
       \- org.apache.maven:maven-core:jar:2.0:test
          +- org.apache.maven.wagon:wagon-file:jar:1.0-alpha-5:test
          |  \- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-alpha-5:test - omitted for conflict with 1.0-beta-6)
          +- org.apache.maven.wagon:wagon-http-lightweight:jar:1.0-alpha-5:test
          |  \- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-alpha-5:test - omitted for conflict with 1.0-beta-6)
          +- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-alpha-5:test - omitted for conflict with 1.0-beta-6)
          \- org.apache.maven.wagon:wagon-ssh:jar:1.0-alpha-5:test
             \- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-alpha-5:test - omitted for conflict with 1.0-beta-6)

1.0-alpha-6
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.shared:file-management:jar:1.2.1:compile
       \- org.apache.maven.shared:maven-shared-io:jar:1.1:compile
          \- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-alpha-6:compile - omitted for conflict with 1.0-beta-6)

1.0-beta-6
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       \- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
          \- org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:compile

org.apache.maven:maven-artifact

[Error]
2.0
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:1.2:test
       +- org.apache.maven:maven-core:jar:2.0:test
       |  +- (org.apache.maven:maven-artifact:jar:2.0:test - omitted for conflict with 2.2.1)
       |  \- org.apache.maven:maven-plugin-descriptor:jar:2.0:test
       |     \- (org.apache.maven:maven-artifact:jar:2.0:test - omitted for conflict with 2.2.1)
       \- (org.apache.maven:maven-artifact:jar:2.0:test - omitted for conflict with 2.2.1)

2.0.2
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.shared:file-management:jar:1.2.1:compile
       \- org.apache.maven.shared:maven-shared-io:jar:1.1:compile
          \- (org.apache.maven:maven-artifact:jar:2.0.2:compile - omitted for conflict with 2.2.1)

2.2.1
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
       |  \- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for duplicate)
       \- org.apache.maven:maven-artifact:jar:2.2.1:compile

3.0
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.4:provided
       \- (org.apache.maven:maven-artifact:jar:3.0:provided - omitted for conflict with 2.2.1)

org.apache.maven:maven-artifact-manager

[Error]
2.0
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:1.2:test
       +- org.apache.maven:maven-core:jar:2.0:test
       |  \- (org.apache.maven:maven-artifact-manager:jar:2.0:test - omitted for conflict with 2.2.1)
       \- (org.apache.maven:maven-artifact-manager:jar:2.0:test - omitted for conflict with 2.2.1)

2.0.2
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.shared:file-management:jar:1.2.1:compile
       \- org.apache.maven.shared:maven-shared-io:jar:1.1:compile
          \- (org.apache.maven:maven-artifact-manager:jar:2.0.2:compile - omitted for conflict with 2.2.1)

2.2.1
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       \- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile

org.apache.maven:maven-model

[Error]
2.0
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:1.2:test
       +- org.apache.maven:maven-core:jar:2.0:test
       |  \- (org.apache.maven:maven-model:jar:2.0:test - omitted for conflict with 2.2.1)
       \- (org.apache.maven:maven-model:jar:2.0:test - omitted for conflict with 2.2.1)

2.2.1
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    +- org.apache.maven:maven-project:jar:2.2.1:compile
    |  +- org.apache.maven:maven-profile:jar:2.2.1:compile
    |  |  \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for duplicate)
    |  \- org.apache.maven:maven-model:jar:2.2.1:compile
    \- org.apache.maven:maven-settings:jar:2.2.1:compile
       \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for duplicate)

org.apache.maven:maven-plugin-api

[Error]
2.0
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:1.2:test
       +- org.apache.maven:maven-core:jar:2.0:test
       |  +- (org.apache.maven:maven-plugin-api:jar:2.0:test - omitted for conflict with 2.2.1)
       |  \- org.apache.maven:maven-plugin-descriptor:jar:2.0:test
       |     \- (org.apache.maven:maven-plugin-api:jar:2.0:test - omitted for conflict with 2.2.1)
       \- (org.apache.maven:maven-plugin-api:jar:2.0:test - omitted for conflict with 2.2.1)

2.0.6
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.shared:file-management:jar:1.2.1:compile
       \- (org.apache.maven:maven-plugin-api:jar:2.0.6:compile - omitted for conflict with 2.2.1)

2.2.1
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven:maven-plugin-api:jar:2.2.1:compile

org.apache.maven:maven-plugin-registry

[Error]
2.0
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:1.2:test
       \- org.apache.maven:maven-core:jar:2.0:test
          \- (org.apache.maven:maven-plugin-registry:jar:2.0:test - omitted for conflict with 2.2.1)

2.2.1
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       \- org.apache.maven:maven-plugin-registry:jar:2.2.1:compile

org.apache.maven:maven-profile

[Error]
2.0
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:1.2:test
       \- org.apache.maven:maven-core:jar:2.0:test
          \- (org.apache.maven:maven-profile:jar:2.0:test - omitted for conflict with 2.2.1)

2.2.1
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       \- org.apache.maven:maven-profile:jar:2.2.1:compile

org.apache.maven:maven-project

[Error]
2.0
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:1.2:test
       +- (org.apache.maven:maven-project:jar:2.0:test - omitted for conflict with 2.2.1)
       \- org.apache.maven:maven-core:jar:2.0:test
          \- (org.apache.maven:maven-project:jar:2.0:test - omitted for conflict with 2.2.1)

2.2.1
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven:maven-project:jar:2.2.1:compile

org.apache.maven:maven-repository-metadata

[Error]
2.0
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:1.2:test
       \- org.apache.maven:maven-core:jar:2.0:test
          \- (org.apache.maven:maven-repository-metadata:jar:2.0:test - omitted for conflict with 2.2.1)

2.2.1
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       \- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
          \- org.apache.maven:maven-repository-metadata:jar:2.2.1:compile

org.apache.maven:maven-settings

[Error]
2.0
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:1.2:test
       \- org.apache.maven:maven-core:jar:2.0:test
          \- (org.apache.maven:maven-settings:jar:2.0:test - omitted for conflict with 2.2.1)

2.2.1
  1. org.apache.maven.plugins:maven-scm-plugin:maven-plugin:1.9.5-SNAPSHOT
    +- org.apache.maven:maven-project:jar:2.2.1:compile
    |  \- (org.apache.maven:maven-settings:jar:2.2.1:compile - omitted for duplicate)
    \- org.apache.maven:maven-settings:jar:2.2.1:compile

org.hamcrest:hamcrest-core

[Error]
1.1
  1. org.apache.maven.scm:maven-scm-provider-accurev:jar:1.9.5-SNAPSHOT
    \- org.mockito:mockito-core:jar:1.9.5:test
       \- (org.hamcrest:hamcrest-core:jar:1.1:test - omitted for conflict with 1.3)

  2. org.apache.maven.scm:maven-scm-provider-jazz:jar:1.9.5-SNAPSHOT
    \- org.mockito:mockito-core:jar:1.9.5:test
       \- org.hamcrest:hamcrest-core:jar:1.1:test

  3. org.apache.maven.scm:maven-scm-provider-svnexe:jar:1.9.5-SNAPSHOT
    \- org.mockito:mockito-core:jar:1.9.5:test
       \- org.hamcrest:hamcrest-core:jar:1.1:test

1.3
  1. org.apache.maven.scm:maven-scm-provider-accurev:jar:1.9.5-SNAPSHOT
    +- junit:junit:jar:4.11:test
    |  \- org.hamcrest:hamcrest-core:jar:1.3:test
    \- org.hamcrest:hamcrest-library:jar:1.3:test
       \- (org.hamcrest:hamcrest-core:jar:1.3:test - omitted for duplicate)

  2. org.apache.maven.scm:maven-scm-provider-jazz:jar:1.9.5-SNAPSHOT
    \- org.apache.maven.scm:maven-scm-test:jar:1.9.5-SNAPSHOT:test
       \- junit:junit:jar:4.11:test
          \- (org.hamcrest:hamcrest-core:jar:1.3:test - omitted for conflict with 1.1)

  3. org.apache.maven.scm:maven-scm-provider-svnexe:jar:1.9.5-SNAPSHOT
    \- org.apache.maven.scm:maven-scm-test:jar:1.9.5-SNAPSHOT:test
       \- junit:junit:jar:4.11:test
          \- (org.hamcrest:hamcrest-core:jar:1.3:test - omitted for conflict with 1.1)